.cart-table {
    table {
        margin-bottom: 0;

        thead {
            tr {
                th {
                    border-bottom-width: 0px;
                    vertical-align: middle;
                    padding: 0 0 15px;
                    text-transform: uppercase;
                    border: none;
                    white-space: nowrap;
                    font: {
                        size: 16px;
                        weight: 800;
                    };
                }
            }
        }
        tbody {
            tr {
                td {
                    vertical-align: middle;
                    color: var(--optionalColor);
                    white-space: nowrap;
                    font: {
                        weight: 700;
                        size: 16px;
                    };
                    padding: {
                        left: 0;
                        right: 0;
                    };
                    border: {
                        color: #eaedff;
                        left: none;
                        right: none;
                    };
                    &.product-thumbnail {
                        a {
                            display: block;

                            img {
                                width: 80px;
                            }
                        }
                    }
                    &.product-name {
                        a {
                            display: inline-block;
                        }
                    }
                    &.product-subtotal {
                        .remove {
                            color: red;
                            float: right;
                            position: relative;
                            top: -1px;
                            font-size: 18px;
                        }
                    }
                    &.product-quantity {
                        .input-counter {
                            max-width: 130px;
                            min-width: 130px;
                            text-align: center;
                            display: inline-block;
                            position: relative;    
                
                            span {
                                position: absolute;
                                top: 0;
                                background-color: transparent;
                                cursor: pointer;
                                color: #d0d0d0;
                                width: 40px;
                                height: 100%;
                                line-height: 50px;
                                transition: var(--transition);
                                font-size: 22px;
                
                                &.minus-btn {
                                    left: 0;
                                }
                                &.plus-btn {
                                    right: 0;
                                }
                                &:hover {
                                    color: var(--mainColor);
                                }
                            }
                            input {
                                height: 45px;
                                color: var(--blackColor);
                                outline: 0;
                                display: block;
                                border: none;
                                background-color: #f8f8f8;
                                text-align: center;
                                width: 100%;
                                font: {
                                    size: 17px;
                                    weight: 600;
                                }
                                &::placeholder {
                                    color: var(--blackColor);
                                }
                            }
                        }
                    }
                    &.product-subtotal {
                        overflow: hidden;
                    }
                }
            }
        }
    }
}
.cart-buttons {
    margin-top: 30px;

    .shopping-coupon-code {
        position: relative;
        max-width: 530px;

        button {
            position: absolute;
            right: 0;
            top: 0;
            height: 50px;
            background: var(--blackColor);
            color: var(--whiteColor);
            border: none;
            padding: 0 25px;
            line-height: 48px;
            outline: 0;
            transition: var(--transition);
            font: {
                size: 16px;
                weight: 700;
            };
            &:hover {
                background-color: var(--mainColor);
            }
        }
    }
}
.cart-totals {
    background: var(--whiteColor);
    padding: 40px;
    max-width: 500px;
    box-shadow: 0 2px 48px 0 rgba(0, 0, 0, 0.08);
    border-radius: 5px;
    margin: {
        top: 60px;
        left: auto;
        right: auto;
    };
    h3 {
        margin-bottom: 25px;
        font: {
            size: 25px;
        };
    }
    ul {
        padding-left: 0;
        margin: 0 0 25px;
        list-style-type: none;
        
        li {
            border: 1px solid #eaedff;
            padding: 10px 15px;
            color: var(--blackColor);
            overflow: hidden;
            font: {
                weight: 700;
                size: 16px;
            };
            &:first-child {
                border: {
                    bottom: none;
                }
            }
            &:last-child {
                font-size: 19px;
                border: {
                    top: none;
                };
                span {
                    color: var(--blackColor);
                    font-weight: 600;
                }
            }
            span {
                float: right;
                color: var(--optionalColor);
                font: {
                    weight: normal;
                };
            }
        }
    }
}

@media only screen and (max-width: 767px) {

    .cart-table {
        table {
            thead {
                tr {
                    th {
                        font-size: 14.5px;
                        padding: {
                            left: 15px;
                            right: 15px;
                        };
                        &:first-child {
                            padding-left: 0;
                        }
                        &:last-child {
                            padding-right: 60px;
                        }
                    }
                }
            }
            tbody {
                tr {
                    td {
                        font-size: 14.5px;
                        padding: {
                            left: 15px;
                            right: 15px;
                        };
                        &:first-child {
                            padding-left: 0;
                        }
                    }
                }
            }
        }
    }
    .cart-buttons {
        .shopping-coupon-code {
            text-align: center;

            button {
                position: relative;
                right: 0;
                top: 0;
                height: auto;
                padding: 12px 25px;
                line-height: initial;
                font-size: 14px;
                border-radius: 5px;
                margin-top: 15px;
            }
        }
        .text-right {
            text-align: center !important;
            margin-top: 15px;
        }
    }
    .cart-totals {
        padding: 25px 20px;
        max-width: 100%;
        margin: {
            top: 40px;
        };
        h3 {
            font-size: 19px;
        }
        ul {
            margin-bottom: 20px;

            li {
                font-size: 14px;

                &:last-child {
                    font-size: 16px;
                }
            }
        }
    }

}
@media only screen and (min-width: 576px) and (max-width: 767px) {

    .cart-buttons {
        .text-right {
            text-align: right !important;
            margin-top: 0;
        }
    }

}
@media only screen and (min-width: 768px) and (max-width: 991px) {

    .cart-table {
        table {
            thead {
                tr {
                    th {
                        font-size: 14.5px;
                    }
                }
            }
        }
    }
    .cart-totals {
        h3 {
            font-size: 22px;

            &:last-child {
                font-size: 18px;
            }
        }
    }

}
@media only screen and (min-width: 992px) and (max-width: 1199px) {

    .cart-totals {
        h3 {
            font-size: 23px;
        }
    }

}
th ,td{
    text-align:center
}
.all{
    padding-top: 2%;
    background: {
        size: cover;
        repeat: no-repeat;
        image: url(../../../../assets/img/myImage/back.png);
     
    };  
}
@media only screen and (max-width: 992px)
{
    .cart-buttons {
        margin-right: 4%;
    }
    .a{
        margin-left: -50px!important;
    }
}

table, tr {
    border:transparent;
    // background-image: linear-gradient(to left, #e0e0e0 , rgb(18,18,18),rgb(18,18,18));
    color: white;
    height: 75px;

    // background-color: black;
}
th ,td {
    border:transparent;
}
.aa{
    // background-image: linear-gradient(to right, #e0e0e0 , rgb(18,18,18),rgb(18,18,18));
    height: 80px;
    // background-color: black;

}

.aa{
    // background-image: linear-gradient(to right, #e0e0e0 ,#125596,#125596);
    height: 80px;
    color:white

}
td{
    color: white!important;
}